Bug 802929 - Review Request: jboss-iiop-client - JBoss IIOP Client
Summary: Review Request: jboss-iiop-client - JBoss IIOP Client
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mary Ellen Foster
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 730234
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-13 18:49 UTC by Marek Goldmann
Modified: 2012-04-12 02:30 UTC (History)
4 users (show)

Fixed In Version: jboss-iiop-client-1.0.0-2.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-12 02:30:06 UTC
mefoster: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
build.log from local mock build (7.55 KB, text/plain)
2012-03-19 14:20 UTC, Mary Ellen Foster
no flags Details

Description Marek Goldmann 2012-03-13 18:49:54 UTC
Spec URL: http://goldmann.fedorapeople.org/package_review/jboss-iiop-client/1/jboss-iiop-client.spec
SRPM URL: http://goldmann.fedorapeople.org/package_review/jboss-iiop-client/1/jboss-iiop-client-1.0.0-1.fc17.src.rpm
Description: Client library for EJB applications working against JBoss AS using the IIOP protocol

Comment 1 Mary Ellen Foster 2012-03-19 13:55:59 UTC
I will review this package

Comment 2 Mary Ellen Foster 2012-03-19 14:20:54 UTC
Created attachment 571135 [details]
build.log from local mock build

Summary: Doesn't build yet in mock even with jboss-ejb-3.1-api added -- seems to be a surefire problem.

Everything else looks fine at an initial glance.

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[!]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
     Note: The package did not built BR could therefore not be checked or the
     package failed to build because of missing BR
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[ ]: MUST Package installs properly.
[ ]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
5d2042ab30fb136cb865cad340eaba7bea3e557b65308da96a8f6adab3800a79  jboss-iiop-client-1.0.0.Final.tar.xz
5d2042ab30fb136cb865cad340eaba7bea3e557b65308da96a8f6adab3800a79  /home/mef3/rpmbuild/SOURCES/jboss-iiop-client-1.0.0.Final.tar.xz
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST File names are valid UTF-8.
[!]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[ ]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
See: http://fedoraproject.org/wiki/Packaging/Guidelines#Architecture_Support
[!]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
     Note: The package did not built BR could therefore not be checked or the
     package failed to build because of missing BR
See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2

Local mock build output is attached (after manually adding jboss-ejb-3.1-api to the buildroot).
Seems to be failing at something to do with surefire.

Generated by fedora-review 0.1.3

Comment 4 Mary Ellen Foster 2012-03-19 14:56:16 UTC
Thanks, looks good to me now.

APPROVED.

Comment 5 Marek Goldmann 2012-03-19 14:59:48 UTC
Thanks for review!

New Package SCM Request
=======================
Package Name:      jboss-iiop-client
Short Description: JBoss IIOP Client
Owners:            goldmann
Branches:          f17

Comment 6 Gwyn Ciesla 2012-03-19 15:34:38 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2012-03-19 18:36:59 UTC
jboss-iiop-client-1.0.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jboss-iiop-client-1.0.0-2.fc17

Comment 8 Fedora Update System 2012-03-20 06:03:48 UTC
jboss-iiop-client-1.0.0-2.fc17 has been pushed to the Fedora 17 testing repository.

Comment 9 Fedora Update System 2012-04-12 02:30:06 UTC
jboss-iiop-client-1.0.0-2.fc17 has been pushed to the Fedora 17 stable repository.


Note You need to log in before you can comment on or make changes to this bug.